I'm a very new Ruby user, but I ran into a few problems.

My first problem is that I want to use Ruby on my iPod touch, and since
the iPod touch is not officially supported, I ran into quite a few bugs
(installing gems would generate errors, for example). The one thing I
want is just to be able to run the attached file (siriServer.rb)
natively on my iPod touch.

In my opinion, the best way to achieve this goal, is to not require any
other gem, and to integrate all the requirements in the actual
siriServer.rb file.

So, I basically want that "include EventMachine::Protocols::LineText2"
would be replaced by some code that refers to a module in the actual
siriServer.rb file.

(Sorry for my english and my crappy explanation of how what I want to
achieve...)

If someone would be able to help me / modify the file for me / provide
me with information about a better way to achieve my goal, I would be
very grateful.

Thanks in advance

Job

((I originally downloaded the siriServer.rb file from Applidium
(https://github.com/applidium/Cracking-Siri/zipball/master)))

Attachments:
http://www.ruby-forum.com/attachment/6886/siriServer.rb


-- 
Posted via http://www.ruby-forum.com/.